import requests
from pprint import pprint
import peizhi
import redis, json


def test():
    from datetime import date, timedelta
    r = redis.Redis()
    today = date.today()
    # today = today + timedelta(days=2)
    format_today = today.strftime("%Y%m%d")
    tomorrow = today + timedelta(days=1)
    format_tomorrow = tomorrow.strftime("%Y%m%d")
    days = []

    # url = "https://api.apihubs.cn/holiday/get"
    # params = {
    #     "year": 2021,
    #     "size": 1000
    # }
    # result = requests.get(url=url, params=params, verify=False)
    # res = result.json()
    # pprint(res)

    res = {"code": "0", "msg": "ok", "data": {"list": [
        {"year": 2021, "month": 202112, "date": 20211231, "yearweek": 202152, "yearday": 365, "lunar_year": 2021,
         "lunar_month": 202111, "lunar_date": 20211128, "lunar_yearday": 323, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202112, "date": 20211230, "yearweek": 202152, "yearday": 364, "lunar_year": 2021,
         "lunar_month": 202111, "lunar_date": 20211127, "lunar_yearday": 322, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202112, "date": 20211229, "yearweek": 202152, "yearday": 363, "lunar_year": 2021,
         "lunar_month": 202111, "lunar_date": 20211126, "lunar_yearday": 321, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202112, "date": 20211228, "yearweek": 202152, "yearday": 362, "lunar_year": 2021,
         "lunar_month": 202111, "lunar_date": 20211125, "lunar_yearday": 320, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202112, "date": 20211227, "yearweek": 202152, "yearday": 361, "lunar_year": 2021,
         "lunar_month": 202111, "lunar_date": 20211124, "lunar_yearday": 319, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202112, "date": 20211226, "yearweek": 202151, "yearday": 360, "lunar_year": 2021,
         "lunar_month": 202111, "lunar_date": 20211123, "lunar_yearday": 318, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202112, "date": 20211225, "yearweek": 202151, "yearday": 359, "lunar_year": 2021,
         "lunar_month": 202111, "lunar_date": 20211122, "lunar_yearday": 317, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202112, "date": 20211224, "yearweek": 202151, "yearday": 358, "lunar_year": 2021,
         "lunar_month": 202111, "lunar_date": 20211121, "lunar_yearday": 316, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202112, "date": 20211223, "yearweek": 202151, "yearday": 357, "lunar_year": 2021,
         "lunar_month": 202111, "lunar_date": 20211120, "lunar_yearday": 315, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202112, "date": 20211222, "yearweek": 202151, "yearday": 356, "lunar_year": 2021,
         "lunar_month": 202111, "lunar_date": 20211119, "lunar_yearday": 314, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202112, "date": 20211221, "yearweek": 202151, "yearday": 355, "lunar_year": 2021,
         "lunar_month": 202111, "lunar_date": 20211118, "lunar_yearday": 313, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202112, "date": 20211220, "yearweek": 202151, "yearday": 354, "lunar_year": 2021,
         "lunar_month": 202111, "lunar_date": 20211117, "lunar_yearday": 312, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202112, "date": 20211219, "yearweek": 202150, "yearday": 353, "lunar_year": 2021,
         "lunar_month": 202111, "lunar_date": 20211116, "lunar_yearday": 311, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202112, "date": 20211218, "yearweek": 202150, "yearday": 352, "lunar_year": 2021,
         "lunar_month": 202111, "lunar_date": 20211115, "lunar_yearday": 310, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202112, "date": 20211217, "yearweek": 202150, "yearday": 351, "lunar_year": 2021,
         "lunar_month": 202111, "lunar_date": 20211114, "lunar_yearday": 309, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202112, "date": 20211216, "yearweek": 202150, "yearday": 350, "lunar_year": 2021,
         "lunar_month": 202111, "lunar_date": 20211113, "lunar_yearday": 308, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202112, "date": 20211215, "yearweek": 202150, "yearday": 349, "lunar_year": 2021,
         "lunar_month": 202111, "lunar_date": 20211112, "lunar_yearday": 307, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202112, "date": 20211214, "yearweek": 202150, "yearday": 348, "lunar_year": 2021,
         "lunar_month": 202111, "lunar_date": 20211111, "lunar_yearday": 306, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202112, "date": 20211213, "yearweek": 202150, "yearday": 347, "lunar_year": 2021,
         "lunar_month": 202111, "lunar_date": 20211110, "lunar_yearday": 305, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202112, "date": 20211212, "yearweek": 202149, "yearday": 346, "lunar_year": 2021,
         "lunar_month": 202111, "lunar_date": 20211109, "lunar_yearday": 304, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202112, "date": 20211211, "yearweek": 202149, "yearday": 345, "lunar_year": 2021,
         "lunar_month": 202111, "lunar_date": 20211108, "lunar_yearday": 303, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202112, "date": 20211210, "yearweek": 202149, "yearday": 344, "lunar_year": 2021,
         "lunar_month": 202111, "lunar_date": 20211107, "lunar_yearday": 302, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202112, "date": 20211209, "yearweek": 202149, "yearday": 343, "lunar_year": 2021,
         "lunar_month": 202111, "lunar_date": 20211106, "lunar_yearday": 301, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202112, "date": 20211208, "yearweek": 202149, "yearday": 342, "lunar_year": 2021,
         "lunar_month": 202111, "lunar_date": 20211105, "lunar_yearday": 300, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202112, "date": 20211207, "yearweek": 202149, "yearday": 341, "lunar_year": 2021,
         "lunar_month": 202111, "lunar_date": 20211104, "lunar_yearday": 299, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202112, "date": 20211206, "yearweek": 202149, "yearday": 340, "lunar_year": 2021,
         "lunar_month": 202111, "lunar_date": 20211103, "lunar_yearday": 298, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202112, "date": 20211205, "yearweek": 202148, "yearday": 339, "lunar_year": 2021,
         "lunar_month": 202111, "lunar_date": 20211102, "lunar_yearday": 297, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202112, "date": 20211204, "yearweek": 202148, "yearday": 338, "lunar_year": 2021,
         "lunar_month": 202111, "lunar_date": 20211101, "lunar_yearday": 296, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202112, "date": 20211203, "yearweek": 202148, "yearday": 337, "lunar_year": 2021,
         "lunar_month": 202110, "lunar_date": 20211029, "lunar_yearday": 295, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202112, "date": 20211202, "yearweek": 202148, "yearday": 336, "lunar_year": 2021,
         "lunar_month": 202110, "lunar_date": 20211028, "lunar_yearday": 294, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202112, "date": 20211201, "yearweek": 202148, "yearday": 335, "lunar_year": 2021,
         "lunar_month": 202110, "lunar_date": 20211027, "lunar_yearday": 293, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202111, "date": 20211130, "yearweek": 202148, "yearday": 334, "lunar_year": 2021,
         "lunar_month": 202110, "lunar_date": 20211026, "lunar_yearday": 292, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202111, "date": 20211129, "yearweek": 202148, "yearday": 333, "lunar_year": 2021,
         "lunar_month": 202110, "lunar_date": 20211025, "lunar_yearday": 291, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202111, "date": 20211128, "yearweek": 202147, "yearday": 332, "lunar_year": 2021,
         "lunar_month": 202110, "lunar_date": 20211024, "lunar_yearday": 290, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202111, "date": 20211127, "yearweek": 202147, "yearday": 331, "lunar_year": 2021,
         "lunar_month": 202110, "lunar_date": 20211023, "lunar_yearday": 289, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202111, "date": 20211126, "yearweek": 202147, "yearday": 330, "lunar_year": 2021,
         "lunar_month": 202110, "lunar_date": 20211022, "lunar_yearday": 288, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202111, "date": 20211125, "yearweek": 202147, "yearday": 329, "lunar_year": 2021,
         "lunar_month": 202110, "lunar_date": 20211021, "lunar_yearday": 287, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 95, "holiday_or": 95, "holiday_overtime": 10, "holiday_today": 1, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202111, "date": 20211124, "yearweek": 202147, "yearday": 328, "lunar_year": 2021,
         "lunar_month": 202110, "lunar_date": 20211020, "lunar_yearday": 286, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202111, "date": 20211123, "yearweek": 202147, "yearday": 327, "lunar_year": 2021,
         "lunar_month": 202110, "lunar_date": 20211019, "lunar_yearday": 285, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202111, "date": 20211122, "yearweek": 202147, "yearday": 326, "lunar_year": 2021,
         "lunar_month": 202110, "lunar_date": 20211018, "lunar_yearday": 284, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202111, "date": 20211121, "yearweek": 202146, "yearday": 325, "lunar_year": 2021,
         "lunar_month": 202110, "lunar_date": 20211017, "lunar_yearday": 283, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202111, "date": 20211120, "yearweek": 202146, "yearday": 324, "lunar_year": 2021,
         "lunar_month": 202110, "lunar_date": 20211016, "lunar_yearday": 282, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202111, "date": 20211119, "yearweek": 202146, "yearday": 323, "lunar_year": 2021,
         "lunar_month": 202110, "lunar_date": 20211015, "lunar_yearday": 281, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 96, "holiday_or": 96, "holiday_overtime": 10, "holiday_today": 1, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202111, "date": 20211118, "yearweek": 202146, "yearday": 322, "lunar_year": 2021,
         "lunar_month": 202110, "lunar_date": 20211014, "lunar_yearday": 280, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202111, "date": 20211117, "yearweek": 202146, "yearday": 321, "lunar_year": 2021,
         "lunar_month": 202110, "lunar_date": 20211013, "lunar_yearday": 279, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 93, "holiday_or": 93, "holiday_overtime": 10, "holiday_today": 1, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202111, "date": 20211116, "yearweek": 202146, "yearday": 320, "lunar_year": 2021,
         "lunar_month": 202110, "lunar_date": 20211012, "lunar_yearday": 278, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202111, "date": 20211115, "yearweek": 202146, "yearday": 319, "lunar_year": 2021,
         "lunar_month": 202110, "lunar_date": 20211011, "lunar_yearday": 277, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202111, "date": 20211114, "yearweek": 202145, "yearday": 318, "lunar_year": 2021,
         "lunar_month": 202110, "lunar_date": 20211010, "lunar_yearday": 276, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202111, "date": 20211113, "yearweek": 202145, "yearday": 317, "lunar_year": 2021,
         "lunar_month": 202110, "lunar_date": 20211009, "lunar_yearday": 275, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202111, "date": 20211112, "yearweek": 202145, "yearday": 316, "lunar_year": 2021,
         "lunar_month": 202110, "lunar_date": 20211008, "lunar_yearday": 274, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202111, "date": 20211111, "yearweek": 202145, "yearday": 315, "lunar_year": 2021,
         "lunar_month": 202110, "lunar_date": 20211007, "lunar_yearday": 273, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202111, "date": 20211110, "yearweek": 202145, "yearday": 314, "lunar_year": 2021,
         "lunar_month": 202110, "lunar_date": 20211006, "lunar_yearday": 272, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202111, "date": 20211109, "yearweek": 202145, "yearday": 313, "lunar_year": 2021,
         "lunar_month": 202110, "lunar_date": 20211005, "lunar_yearday": 271, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202111, "date": 20211108, "yearweek": 202145, "yearday": 312, "lunar_year": 2021,
         "lunar_month": 202110, "lunar_date": 20211004, "lunar_yearday": 270, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 91, "holiday_or": 91, "holiday_overtime": 10, "holiday_today": 1, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202111, "date": 20211107, "yearweek": 202144, "yearday": 311, "lunar_year": 2021,
         "lunar_month": 202110, "lunar_date": 20211003, "lunar_yearday": 269, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202111, "date": 20211106, "yearweek": 202144, "yearday": 310, "lunar_year": 2021,
         "lunar_month": 202110, "lunar_date": 20211002, "lunar_yearday": 268, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202111, "date": 20211105, "yearweek": 202144, "yearday": 309, "lunar_year": 2021,
         "lunar_month": 202110, "lunar_date": 20211001, "lunar_yearday": 267, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 92, "holiday_or": 92, "holiday_overtime": 10, "holiday_today": 1, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202111, "date": 20211104, "yearweek": 202144, "yearday": 308, "lunar_year": 2021,
         "lunar_month": 202109, "lunar_date": 20210930, "lunar_yearday": 266, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202111, "date": 20211103, "yearweek": 202144, "yearday": 307, "lunar_year": 2021,
         "lunar_month": 202109, "lunar_date": 20210929, "lunar_yearday": 265, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202111, "date": 20211102, "yearweek": 202144, "yearday": 306, "lunar_year": 2021,
         "lunar_month": 202109, "lunar_date": 20210928, "lunar_yearday": 264, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202111, "date": 20211101, "yearweek": 202144, "yearday": 305, "lunar_year": 2021,
         "lunar_month": 202109, "lunar_date": 20210927, "lunar_yearday": 263, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202110, "date": 20211031, "yearweek": 202143, "yearday": 304, "lunar_year": 2021,
         "lunar_month": 202109, "lunar_date": 20210926, "lunar_yearday": 262, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202110, "date": 20211030, "yearweek": 202143, "yearday": 303, "lunar_year": 2021,
         "lunar_month": 202109, "lunar_date": 20210925, "lunar_yearday": 261, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202110, "date": 20211029, "yearweek": 202143, "yearday": 302, "lunar_year": 2021,
         "lunar_month": 202109, "lunar_date": 20210924, "lunar_yearday": 260, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202110, "date": 20211028, "yearweek": 202143, "yearday": 301, "lunar_year": 2021,
         "lunar_month": 202109, "lunar_date": 20210923, "lunar_yearday": 259, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202110, "date": 20211027, "yearweek": 202143, "yearday": 300, "lunar_year": 2021,
         "lunar_month": 202109, "lunar_date": 20210922, "lunar_yearday": 258, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202110, "date": 20211026, "yearweek": 202143, "yearday": 299, "lunar_year": 2021,
         "lunar_month": 202109, "lunar_date": 20210921, "lunar_yearday": 257, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202110, "date": 20211025, "yearweek": 202143, "yearday": 298, "lunar_year": 2021,
         "lunar_month": 202109, "lunar_date": 20210920, "lunar_yearday": 256, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202110, "date": 20211024, "yearweek": 202142, "yearday": 297, "lunar_year": 2021,
         "lunar_month": 202109, "lunar_date": 20210919, "lunar_yearday": 255, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202110, "date": 20211023, "yearweek": 202142, "yearday": 296, "lunar_year": 2021,
         "lunar_month": 202109, "lunar_date": 20210918, "lunar_yearday": 254, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202110, "date": 20211022, "yearweek": 202142, "yearday": 295, "lunar_year": 2021,
         "lunar_month": 202109, "lunar_date": 20210917, "lunar_yearday": 253, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202110, "date": 20211021, "yearweek": 202142, "yearday": 294, "lunar_year": 2021,
         "lunar_month": 202109, "lunar_date": 20210916, "lunar_yearday": 252, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202110, "date": 20211020, "yearweek": 202142, "yearday": 293, "lunar_year": 2021,
         "lunar_month": 202109, "lunar_date": 20210915, "lunar_yearday": 251, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202110, "date": 20211019, "yearweek": 202142, "yearday": 292, "lunar_year": 2021,
         "lunar_month": 202109, "lunar_date": 20210914, "lunar_yearday": 250, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202110, "date": 20211018, "yearweek": 202142, "yearday": 291, "lunar_year": 2021,
         "lunar_month": 202109, "lunar_date": 20210913, "lunar_yearday": 249, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202110, "date": 20211017, "yearweek": 202141, "yearday": 290, "lunar_year": 2021,
         "lunar_month": 202109, "lunar_date": 20210912, "lunar_yearday": 248, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202110, "date": 20211016, "yearweek": 202141, "yearday": 289, "lunar_year": 2021,
         "lunar_month": 202109, "lunar_date": 20210911, "lunar_yearday": 247, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202110, "date": 20211015, "yearweek": 202141, "yearday": 288, "lunar_year": 2021,
         "lunar_month": 202109, "lunar_date": 20210910, "lunar_yearday": 246, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202110, "date": 20211014, "yearweek": 202141, "yearday": 287, "lunar_year": 2021,
         "lunar_month": 202109, "lunar_date": 20210909, "lunar_yearday": 245, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 89, "holiday_or": 90, "holiday_overtime": 10, "holiday_today": 1, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202110, "date": 20211013, "yearweek": 202141, "yearday": 286, "lunar_year": 2021,
         "lunar_month": 202109, "lunar_date": 20210908, "lunar_yearday": 244, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202110, "date": 20211012, "yearweek": 202141, "yearday": 285, "lunar_year": 2021,
         "lunar_month": 202109, "lunar_date": 20210907, "lunar_yearday": 243, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202110, "date": 20211011, "yearweek": 202141, "yearday": 284, "lunar_year": 2021,
         "lunar_month": 202109, "lunar_date": 20210906, "lunar_yearday": 242, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202110, "date": 20211010, "yearweek": 202140, "yearday": 283, "lunar_year": 2021,
         "lunar_month": 202109, "lunar_date": 20210905, "lunar_yearday": 241, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202110, "date": 20211009, "yearweek": 202140, "yearday": 282, "lunar_year": 2021,
         "lunar_month": 202109, "lunar_date": 20210904, "lunar_yearday": 240, "week": 6, "weekend": 1, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 88, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202110, "date": 20211008, "yearweek": 202140, "yearday": 281, "lunar_year": 2021,
         "lunar_month": 202109, "lunar_date": 20210903, "lunar_yearday": 239, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202110, "date": 20211007, "yearweek": 202140, "yearday": 280, "lunar_year": 2021,
         "lunar_month": 202109, "lunar_date": 20210902, "lunar_yearday": 238, "week": 4, "weekend": 2, "workday": 2,
         "holiday": 88, "holiday_or": 88, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 1},
        {"year": 2021, "month": 202110, "date": 20211006, "yearweek": 202140, "yearday": 279, "lunar_year": 2021,
         "lunar_month": 202109, "lunar_date": 20210901, "lunar_yearday": 237, "week": 3, "weekend": 2, "workday": 2,
         "holiday": 88, "holiday_or": 88, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 1},
        {"year": 2021, "month": 202110, "date": 20211005, "yearweek": 202140, "yearday": 278, "lunar_year": 2021,
         "lunar_month": 202108, "lunar_date": 20210829, "lunar_yearday": 236, "week": 2, "weekend": 2, "workday": 2,
         "holiday": 88, "holiday_or": 88, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 1},
        {"year": 2021, "month": 202110, "date": 20211004, "yearweek": 202140, "yearday": 277, "lunar_year": 2021,
         "lunar_month": 202108, "lunar_date": 20210828, "lunar_yearday": 235, "week": 1, "weekend": 2, "workday": 2,
         "holiday": 88, "holiday_or": 88, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 1},
        {"year": 2021, "month": 202110, "date": 20211003, "yearweek": 202139, "yearday": 276, "lunar_year": 2021,
         "lunar_month": 202108, "lunar_date": 20210827, "lunar_yearday": 234, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 88, "holiday_or": 88, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 1,
         "holiday_recess": 1},
        {"year": 2021, "month": 202110, "date": 20211002, "yearweek": 202139, "yearday": 275, "lunar_year": 2021,
         "lunar_month": 202108, "lunar_date": 20210826, "lunar_yearday": 233, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 88, "holiday_or": 88, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 1,
         "holiday_recess": 1},
        {"year": 2021, "month": 202110, "date": 20211001, "yearweek": 202139, "yearday": 274, "lunar_year": 2021,
         "lunar_month": 202108, "lunar_date": 20210825, "lunar_yearday": 232, "week": 5, "weekend": 2, "workday": 2,
         "holiday": 88, "holiday_or": 88, "holiday_overtime": 10, "holiday_today": 1, "holiday_legal": 1,
         "holiday_recess": 1},
        {"year": 2021, "month": 202109, "date": 20210930, "yearweek": 202139, "yearday": 273, "lunar_year": 2021,
         "lunar_month": 202108, "lunar_date": 20210824, "lunar_yearday": 231, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202109, "date": 20210929, "yearweek": 202139, "yearday": 272, "lunar_year": 2021,
         "lunar_month": 202108, "lunar_date": 20210823, "lunar_yearday": 230, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202109, "date": 20210928, "yearweek": 202139, "yearday": 271, "lunar_year": 2021,
         "lunar_month": 202108, "lunar_date": 20210822, "lunar_yearday": 229, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202109, "date": 20210927, "yearweek": 202139, "yearday": 270, "lunar_year": 2021,
         "lunar_month": 202108, "lunar_date": 20210821, "lunar_yearday": 228, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202109, "date": 20210926, "yearweek": 202138, "yearday": 269, "lunar_year": 2021,
         "lunar_month": 202108, "lunar_date": 20210820, "lunar_yearday": 227, "week": 7, "weekend": 1, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 88, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202109, "date": 20210925, "yearweek": 202138, "yearday": 268, "lunar_year": 2021,
         "lunar_month": 202108, "lunar_date": 20210819, "lunar_yearday": 226, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202109, "date": 20210924, "yearweek": 202138, "yearday": 267, "lunar_year": 2021,
         "lunar_month": 202108, "lunar_date": 20210818, "lunar_yearday": 225, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202109, "date": 20210923, "yearweek": 202138, "yearday": 266, "lunar_year": 2021,
         "lunar_month": 202108, "lunar_date": 20210817, "lunar_yearday": 224, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 78, "holiday_or": 78, "holiday_overtime": 10, "holiday_today": 1, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202109, "date": 20210922, "yearweek": 202138, "yearday": 265, "lunar_year": 2021,
         "lunar_month": 202108, "lunar_date": 20210816, "lunar_yearday": 223, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202109, "date": 20210921, "yearweek": 202138, "yearday": 264, "lunar_year": 2021,
         "lunar_month": 202108, "lunar_date": 20210815, "lunar_yearday": 222, "week": 2, "weekend": 2, "workday": 2,
         "holiday": 77, "holiday_or": 77, "holiday_overtime": 10, "holiday_today": 1, "holiday_legal": 1,
         "holiday_recess": 1},
        {"year": 2021, "month": 202109, "date": 20210920, "yearweek": 202138, "yearday": 263, "lunar_year": 2021,
         "lunar_month": 202108, "lunar_date": 20210814, "lunar_yearday": 221, "week": 1, "weekend": 2, "workday": 2,
         "holiday": 77, "holiday_or": 77, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 1},
        {"year": 2021, "month": 202109, "date": 20210919, "yearweek": 202137, "yearday": 262, "lunar_year": 2021,
         "lunar_month": 202108, "lunar_date": 20210813, "lunar_yearday": 220, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 77, "holiday_or": 77, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 1},
        {"year": 2021, "month": 202109, "date": 20210918, "yearweek": 202137, "yearday": 261, "lunar_year": 2021,
         "lunar_month": 202108, "lunar_date": 20210812, "lunar_yearday": 219, "week": 6, "weekend": 1, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 77, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202109, "date": 20210917, "yearweek": 202137, "yearday": 260, "lunar_year": 2021,
         "lunar_month": 202108, "lunar_date": 20210811, "lunar_yearday": 218, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202109, "date": 20210916, "yearweek": 202137, "yearday": 259, "lunar_year": 2021,
         "lunar_month": 202108, "lunar_date": 20210810, "lunar_yearday": 217, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202109, "date": 20210915, "yearweek": 202137, "yearday": 258, "lunar_year": 2021,
         "lunar_month": 202108, "lunar_date": 20210809, "lunar_yearday": 216, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202109, "date": 20210914, "yearweek": 202137, "yearday": 257, "lunar_year": 2021,
         "lunar_month": 202108, "lunar_date": 20210808, "lunar_yearday": 215, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202109, "date": 20210913, "yearweek": 202137, "yearday": 256, "lunar_year": 2021,
         "lunar_month": 202108, "lunar_date": 20210807, "lunar_yearday": 214, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202109, "date": 20210912, "yearweek": 202136, "yearday": 255, "lunar_year": 2021,
         "lunar_month": 202108, "lunar_date": 20210806, "lunar_yearday": 213, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202109, "date": 20210911, "yearweek": 202136, "yearday": 254, "lunar_year": 2021,
         "lunar_month": 202108, "lunar_date": 20210805, "lunar_yearday": 212, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202109, "date": 20210910, "yearweek": 202136, "yearday": 253, "lunar_year": 2021,
         "lunar_month": 202108, "lunar_date": 20210804, "lunar_yearday": 211, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 72, "holiday_or": 72, "holiday_overtime": 10, "holiday_today": 1, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202109, "date": 20210909, "yearweek": 202136, "yearday": 252, "lunar_year": 2021,
         "lunar_month": 202108, "lunar_date": 20210803, "lunar_yearday": 210, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202109, "date": 20210908, "yearweek": 202136, "yearday": 251, "lunar_year": 2021,
         "lunar_month": 202108, "lunar_date": 20210802, "lunar_yearday": 209, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202109, "date": 20210907, "yearweek": 202136, "yearday": 250, "lunar_year": 2021,
         "lunar_month": 202108, "lunar_date": 20210801, "lunar_yearday": 208, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202109, "date": 20210906, "yearweek": 202136, "yearday": 249, "lunar_year": 2021,
         "lunar_month": 202107, "lunar_date": 20210730, "lunar_yearday": 207, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202109, "date": 20210905, "yearweek": 202135, "yearday": 248, "lunar_year": 2021,
         "lunar_month": 202107, "lunar_date": 20210729, "lunar_yearday": 206, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202109, "date": 20210904, "yearweek": 202135, "yearday": 247, "lunar_year": 2021,
         "lunar_month": 202107, "lunar_date": 20210728, "lunar_yearday": 205, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202109, "date": 20210903, "yearweek": 202135, "yearday": 246, "lunar_year": 2021,
         "lunar_month": 202107, "lunar_date": 20210727, "lunar_yearday": 204, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202109, "date": 20210902, "yearweek": 202135, "yearday": 245, "lunar_year": 2021,
         "lunar_month": 202107, "lunar_date": 20210726, "lunar_yearday": 203, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202109, "date": 20210901, "yearweek": 202135, "yearday": 244, "lunar_year": 2021,
         "lunar_month": 202107, "lunar_date": 20210725, "lunar_yearday": 202, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202108, "date": 20210831, "yearweek": 202135, "yearday": 243, "lunar_year": 2021,
         "lunar_month": 202107, "lunar_date": 20210724, "lunar_yearday": 201, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202108, "date": 20210830, "yearweek": 202135, "yearday": 242, "lunar_year": 2021,
         "lunar_month": 202107, "lunar_date": 20210723, "lunar_yearday": 200, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202108, "date": 20210829, "yearweek": 202134, "yearday": 241, "lunar_year": 2021,
         "lunar_month": 202107, "lunar_date": 20210722, "lunar_yearday": 199, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202108, "date": 20210828, "yearweek": 202134, "yearday": 240, "lunar_year": 2021,
         "lunar_month": 202107, "lunar_date": 20210721, "lunar_yearday": 198, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202108, "date": 20210827, "yearweek": 202134, "yearday": 239, "lunar_year": 2021,
         "lunar_month": 202107, "lunar_date": 20210720, "lunar_yearday": 197, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202108, "date": 20210826, "yearweek": 202134, "yearday": 238, "lunar_year": 2021,
         "lunar_month": 202107, "lunar_date": 20210719, "lunar_yearday": 196, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202108, "date": 20210825, "yearweek": 202134, "yearday": 237, "lunar_year": 2021,
         "lunar_month": 202107, "lunar_date": 20210718, "lunar_yearday": 195, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202108, "date": 20210824, "yearweek": 202134, "yearday": 236, "lunar_year": 2021,
         "lunar_month": 202107, "lunar_date": 20210717, "lunar_yearday": 194, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202108, "date": 20210823, "yearweek": 202134, "yearday": 235, "lunar_year": 2021,
         "lunar_month": 202107, "lunar_date": 20210716, "lunar_yearday": 193, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202108, "date": 20210822, "yearweek": 202133, "yearday": 234, "lunar_year": 2021,
         "lunar_month": 202107, "lunar_date": 20210715, "lunar_yearday": 192, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 71, "holiday_or": 71, "holiday_overtime": 10, "holiday_today": 1, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202108, "date": 20210821, "yearweek": 202133, "yearday": 233, "lunar_year": 2021,
         "lunar_month": 202107, "lunar_date": 20210714, "lunar_yearday": 191, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202108, "date": 20210820, "yearweek": 202133, "yearday": 232, "lunar_year": 2021,
         "lunar_month": 202107, "lunar_date": 20210713, "lunar_yearday": 190, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202108, "date": 20210819, "yearweek": 202133, "yearday": 231, "lunar_year": 2021,
         "lunar_month": 202107, "lunar_date": 20210712, "lunar_yearday": 189, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 69, "holiday_or": 69, "holiday_overtime": 10, "holiday_today": 1, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202108, "date": 20210818, "yearweek": 202133, "yearday": 230, "lunar_year": 2021,
         "lunar_month": 202107, "lunar_date": 20210711, "lunar_yearday": 188, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202108, "date": 20210817, "yearweek": 202133, "yearday": 229, "lunar_year": 2021,
         "lunar_month": 202107, "lunar_date": 20210710, "lunar_yearday": 187, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202108, "date": 20210816, "yearweek": 202133, "yearday": 228, "lunar_year": 2021,
         "lunar_month": 202107, "lunar_date": 20210709, "lunar_yearday": 186, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202108, "date": 20210815, "yearweek": 202132, "yearday": 227, "lunar_year": 2021,
         "lunar_month": 202107, "lunar_date": 20210708, "lunar_yearday": 185, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202108, "date": 20210814, "yearweek": 202132, "yearday": 226, "lunar_year": 2021,
         "lunar_month": 202107, "lunar_date": 20210707, "lunar_yearday": 184, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 70, "holiday_or": 70, "holiday_overtime": 10, "holiday_today": 1, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202108, "date": 20210813, "yearweek": 202132, "yearday": 225, "lunar_year": 2021,
         "lunar_month": 202107, "lunar_date": 20210706, "lunar_yearday": 183, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202108, "date": 20210812, "yearweek": 202132, "yearday": 224, "lunar_year": 2021,
         "lunar_month": 202107, "lunar_date": 20210705, "lunar_yearday": 182, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202108, "date": 20210811, "yearweek": 202132, "yearday": 223, "lunar_year": 2021,
         "lunar_month": 202107, "lunar_date": 20210704, "lunar_yearday": 181, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202108, "date": 20210810, "yearweek": 202132, "yearday": 222, "lunar_year": 2021,
         "lunar_month": 202107, "lunar_date": 20210703, "lunar_yearday": 180, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202108, "date": 20210809, "yearweek": 202132, "yearday": 221, "lunar_year": 2021,
         "lunar_month": 202107, "lunar_date": 20210702, "lunar_yearday": 179, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202108, "date": 20210808, "yearweek": 202131, "yearday": 220, "lunar_year": 2021,
         "lunar_month": 202107, "lunar_date": 20210701, "lunar_yearday": 178, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202108, "date": 20210807, "yearweek": 202131, "yearday": 219, "lunar_year": 2021,
         "lunar_month": 202106, "lunar_date": 20210629, "lunar_yearday": 177, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202108, "date": 20210806, "yearweek": 202131, "yearday": 218, "lunar_year": 2021,
         "lunar_month": 202106, "lunar_date": 20210628, "lunar_yearday": 176, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202108, "date": 20210805, "yearweek": 202131, "yearday": 217, "lunar_year": 2021,
         "lunar_month": 202106, "lunar_date": 20210627, "lunar_yearday": 175, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202108, "date": 20210804, "yearweek": 202131, "yearday": 216, "lunar_year": 2021,
         "lunar_month": 202106, "lunar_date": 20210626, "lunar_yearday": 174, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202108, "date": 20210803, "yearweek": 202131, "yearday": 215, "lunar_year": 2021,
         "lunar_month": 202106, "lunar_date": 20210625, "lunar_yearday": 173, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202108, "date": 20210802, "yearweek": 202131, "yearday": 214, "lunar_year": 2021,
         "lunar_month": 202106, "lunar_date": 20210624, "lunar_yearday": 172, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202108, "date": 20210801, "yearweek": 202130, "yearday": 213, "lunar_year": 2021,
         "lunar_month": 202106, "lunar_date": 20210623, "lunar_yearday": 171, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 68, "holiday_or": 68, "holiday_overtime": 10, "holiday_today": 1, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202107, "date": 20210731, "yearweek": 202130, "yearday": 212, "lunar_year": 2021,
         "lunar_month": 202106, "lunar_date": 20210622, "lunar_yearday": 170, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202107, "date": 20210730, "yearweek": 202130, "yearday": 211, "lunar_year": 2021,
         "lunar_month": 202106, "lunar_date": 20210621, "lunar_yearday": 169, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202107, "date": 20210729, "yearweek": 202130, "yearday": 210, "lunar_year": 2021,
         "lunar_month": 202106, "lunar_date": 20210620, "lunar_yearday": 168, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202107, "date": 20210728, "yearweek": 202130, "yearday": 209, "lunar_year": 2021,
         "lunar_month": 202106, "lunar_date": 20210619, "lunar_yearday": 167, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202107, "date": 20210727, "yearweek": 202130, "yearday": 208, "lunar_year": 2021,
         "lunar_month": 202106, "lunar_date": 20210618, "lunar_yearday": 166, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202107, "date": 20210726, "yearweek": 202130, "yearday": 207, "lunar_year": 2021,
         "lunar_month": 202106, "lunar_date": 20210617, "lunar_yearday": 165, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202107, "date": 20210725, "yearweek": 202129, "yearday": 206, "lunar_year": 2021,
         "lunar_month": 202106, "lunar_date": 20210616, "lunar_yearday": 164, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202107, "date": 20210724, "yearweek": 202129, "yearday": 205, "lunar_year": 2021,
         "lunar_month": 202106, "lunar_date": 20210615, "lunar_yearday": 163, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202107, "date": 20210723, "yearweek": 202129, "yearday": 204, "lunar_year": 2021,
         "lunar_month": 202106, "lunar_date": 20210614, "lunar_yearday": 162, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202107, "date": 20210722, "yearweek": 202129, "yearday": 203, "lunar_year": 2021,
         "lunar_month": 202106, "lunar_date": 20210613, "lunar_yearday": 161, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202107, "date": 20210721, "yearweek": 202129, "yearday": 202, "lunar_year": 2021,
         "lunar_month": 202106, "lunar_date": 20210612, "lunar_yearday": 160, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202107, "date": 20210720, "yearweek": 202129, "yearday": 201, "lunar_year": 2021,
         "lunar_month": 202106, "lunar_date": 20210611, "lunar_yearday": 159, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202107, "date": 20210719, "yearweek": 202129, "yearday": 200, "lunar_year": 2021,
         "lunar_month": 202106, "lunar_date": 20210610, "lunar_yearday": 158, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202107, "date": 20210718, "yearweek": 202128, "yearday": 199, "lunar_year": 2021,
         "lunar_month": 202106, "lunar_date": 20210609, "lunar_yearday": 157, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202107, "date": 20210717, "yearweek": 202128, "yearday": 198, "lunar_year": 2021,
         "lunar_month": 202106, "lunar_date": 20210608, "lunar_yearday": 156, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202107, "date": 20210716, "yearweek": 202128, "yearday": 197, "lunar_year": 2021,
         "lunar_month": 202106, "lunar_date": 20210607, "lunar_yearday": 155, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202107, "date": 20210715, "yearweek": 202128, "yearday": 196, "lunar_year": 2021,
         "lunar_month": 202106, "lunar_date": 20210606, "lunar_yearday": 154, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202107, "date": 20210714, "yearweek": 202128, "yearday": 195, "lunar_year": 2021,
         "lunar_month": 202106, "lunar_date": 20210605, "lunar_yearday": 153, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202107, "date": 20210713, "yearweek": 202128, "yearday": 194, "lunar_year": 2021,
         "lunar_month": 202106, "lunar_date": 20210604, "lunar_yearday": 152, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202107, "date": 20210712, "yearweek": 202128, "yearday": 193, "lunar_year": 2021,
         "lunar_month": 202106, "lunar_date": 20210603, "lunar_yearday": 151, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202107, "date": 20210711, "yearweek": 202127, "yearday": 192, "lunar_year": 2021,
         "lunar_month": 202106, "lunar_date": 20210602, "lunar_yearday": 150, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202107, "date": 20210710, "yearweek": 202127, "yearday": 191, "lunar_year": 2021,
         "lunar_month": 202106, "lunar_date": 20210601, "lunar_yearday": 149, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202107, "date": 20210709, "yearweek": 202127, "yearday": 190, "lunar_year": 2021,
         "lunar_month": 202105, "lunar_date": 20210530, "lunar_yearday": 148, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202107, "date": 20210708, "yearweek": 202127, "yearday": 189, "lunar_year": 2021,
         "lunar_month": 202105, "lunar_date": 20210529, "lunar_yearday": 147, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202107, "date": 20210707, "yearweek": 202127, "yearday": 188, "lunar_year": 2021,
         "lunar_month": 202105, "lunar_date": 20210528, "lunar_yearday": 146, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202107, "date": 20210706, "yearweek": 202127, "yearday": 187, "lunar_year": 2021,
         "lunar_month": 202105, "lunar_date": 20210527, "lunar_yearday": 145, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202107, "date": 20210705, "yearweek": 202127, "yearday": 186, "lunar_year": 2021,
         "lunar_month": 202105, "lunar_date": 20210526, "lunar_yearday": 144, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202107, "date": 20210704, "yearweek": 202126, "yearday": 185, "lunar_year": 2021,
         "lunar_month": 202105, "lunar_date": 20210525, "lunar_yearday": 143, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202107, "date": 20210703, "yearweek": 202126, "yearday": 184, "lunar_year": 2021,
         "lunar_month": 202105, "lunar_date": 20210524, "lunar_yearday": 142, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202107, "date": 20210702, "yearweek": 202126, "yearday": 183, "lunar_year": 2021,
         "lunar_month": 202105, "lunar_date": 20210523, "lunar_yearday": 141, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202107, "date": 20210701, "yearweek": 202126, "yearday": 182, "lunar_year": 2021,
         "lunar_month": 202105, "lunar_date": 20210522, "lunar_yearday": 140, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 67, "holiday_or": 67, "holiday_overtime": 10, "holiday_today": 1, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202106, "date": 20210630, "yearweek": 202126, "yearday": 181, "lunar_year": 2021,
         "lunar_month": 202105, "lunar_date": 20210521, "lunar_yearday": 139, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202106, "date": 20210629, "yearweek": 202126, "yearday": 180, "lunar_year": 2021,
         "lunar_month": 202105, "lunar_date": 20210520, "lunar_yearday": 138, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202106, "date": 20210628, "yearweek": 202126, "yearday": 179, "lunar_year": 2021,
         "lunar_month": 202105, "lunar_date": 20210519, "lunar_yearday": 137, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202106, "date": 20210627, "yearweek": 202125, "yearday": 178, "lunar_year": 2021,
         "lunar_month": 202105, "lunar_date": 20210518, "lunar_yearday": 136, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202106, "date": 20210626, "yearweek": 202125, "yearday": 177, "lunar_year": 2021,
         "lunar_month": 202105, "lunar_date": 20210517, "lunar_yearday": 135, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202106, "date": 20210625, "yearweek": 202125, "yearday": 176, "lunar_year": 2021,
         "lunar_month": 202105, "lunar_date": 20210516, "lunar_yearday": 134, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202106, "date": 20210624, "yearweek": 202125, "yearday": 175, "lunar_year": 2021,
         "lunar_month": 202105, "lunar_date": 20210515, "lunar_yearday": 133, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202106, "date": 20210623, "yearweek": 202125, "yearday": 174, "lunar_year": 2021,
         "lunar_month": 202105, "lunar_date": 20210514, "lunar_yearday": 132, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202106, "date": 20210622, "yearweek": 202125, "yearday": 173, "lunar_year": 2021,
         "lunar_month": 202105, "lunar_date": 20210513, "lunar_yearday": 131, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202106, "date": 20210621, "yearweek": 202125, "yearday": 172, "lunar_year": 2021,
         "lunar_month": 202105, "lunar_date": 20210512, "lunar_yearday": 130, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202106, "date": 20210620, "yearweek": 202124, "yearday": 171, "lunar_year": 2021,
         "lunar_month": 202105, "lunar_date": 20210511, "lunar_yearday": 129, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 62, "holiday_or": 62, "holiday_overtime": 10, "holiday_today": 1, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202106, "date": 20210619, "yearweek": 202124, "yearday": 170, "lunar_year": 2021,
         "lunar_month": 202105, "lunar_date": 20210510, "lunar_yearday": 128, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202106, "date": 20210618, "yearweek": 202124, "yearday": 169, "lunar_year": 2021,
         "lunar_month": 202105, "lunar_date": 20210509, "lunar_yearday": 127, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202106, "date": 20210617, "yearweek": 202124, "yearday": 168, "lunar_year": 2021,
         "lunar_month": 202105, "lunar_date": 20210508, "lunar_yearday": 126, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202106, "date": 20210616, "yearweek": 202124, "yearday": 167, "lunar_year": 2021,
         "lunar_month": 202105, "lunar_date": 20210507, "lunar_yearday": 125, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202106, "date": 20210615, "yearweek": 202124, "yearday": 166, "lunar_year": 2021,
         "lunar_month": 202105, "lunar_date": 20210506, "lunar_yearday": 124, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202106, "date": 20210614, "yearweek": 202124, "yearday": 165, "lunar_year": 2021,
         "lunar_month": 202105, "lunar_date": 20210505, "lunar_yearday": 123, "week": 1, "weekend": 2, "workday": 2,
         "holiday": 66, "holiday_or": 66, "holiday_overtime": 10, "holiday_today": 1, "holiday_legal": 1,
         "holiday_recess": 1},
        {"year": 2021, "month": 202106, "date": 20210613, "yearweek": 202123, "yearday": 164, "lunar_year": 2021,
         "lunar_month": 202105, "lunar_date": 20210504, "lunar_yearday": 122, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 66, "holiday_or": 66, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 1},
        {"year": 2021, "month": 202106, "date": 20210612, "yearweek": 202123, "yearday": 163, "lunar_year": 2021,
         "lunar_month": 202105, "lunar_date": 20210503, "lunar_yearday": 121, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 66, "holiday_or": 66, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 1},
        {"year": 2021, "month": 202106, "date": 20210611, "yearweek": 202123, "yearday": 162, "lunar_year": 2021,
         "lunar_month": 202105, "lunar_date": 20210502, "lunar_yearday": 120, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202106, "date": 20210610, "yearweek": 202123, "yearday": 161, "lunar_year": 2021,
         "lunar_month": 202105, "lunar_date": 20210501, "lunar_yearday": 119, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202106, "date": 20210609, "yearweek": 202123, "yearday": 160, "lunar_year": 2021,
         "lunar_month": 202104, "lunar_date": 20210429, "lunar_yearday": 118, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202106, "date": 20210608, "yearweek": 202123, "yearday": 159, "lunar_year": 2021,
         "lunar_month": 202104, "lunar_date": 20210428, "lunar_yearday": 117, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202106, "date": 20210607, "yearweek": 202123, "yearday": 158, "lunar_year": 2021,
         "lunar_month": 202104, "lunar_date": 20210427, "lunar_yearday": 116, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202106, "date": 20210606, "yearweek": 202122, "yearday": 157, "lunar_year": 2021,
         "lunar_month": 202104, "lunar_date": 20210426, "lunar_yearday": 115, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202106, "date": 20210605, "yearweek": 202122, "yearday": 156, "lunar_year": 2021,
         "lunar_month": 202104, "lunar_date": 20210425, "lunar_yearday": 114, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202106, "date": 20210604, "yearweek": 202122, "yearday": 155, "lunar_year": 2021,
         "lunar_month": 202104, "lunar_date": 20210424, "lunar_yearday": 113, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202106, "date": 20210603, "yearweek": 202122, "yearday": 154, "lunar_year": 2021,
         "lunar_month": 202104, "lunar_date": 20210423, "lunar_yearday": 112, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202106, "date": 20210602, "yearweek": 202122, "yearday": 153, "lunar_year": 2021,
         "lunar_month": 202104, "lunar_date": 20210422, "lunar_yearday": 111, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202106, "date": 20210601, "yearweek": 202122, "yearday": 152, "lunar_year": 2021,
         "lunar_month": 202104, "lunar_date": 20210421, "lunar_yearday": 110, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 61, "holiday_or": 61, "holiday_overtime": 10, "holiday_today": 1, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202105, "date": 20210531, "yearweek": 202122, "yearday": 151, "lunar_year": 2021,
         "lunar_month": 202104, "lunar_date": 20210420, "lunar_yearday": 109, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202105, "date": 20210530, "yearweek": 202121, "yearday": 150, "lunar_year": 2021,
         "lunar_month": 202104, "lunar_date": 20210419, "lunar_yearday": 108, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202105, "date": 20210529, "yearweek": 202121, "yearday": 149, "lunar_year": 2021,
         "lunar_month": 202104, "lunar_date": 20210418, "lunar_yearday": 107, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202105, "date": 20210528, "yearweek": 202121, "yearday": 148, "lunar_year": 2021,
         "lunar_month": 202104, "lunar_date": 20210417, "lunar_yearday": 106, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202105, "date": 20210527, "yearweek": 202121, "yearday": 147, "lunar_year": 2021,
         "lunar_month": 202104, "lunar_date": 20210416, "lunar_yearday": 105, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202105, "date": 20210526, "yearweek": 202121, "yearday": 146, "lunar_year": 2021,
         "lunar_month": 202104, "lunar_date": 20210415, "lunar_yearday": 104, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202105, "date": 20210525, "yearweek": 202121, "yearday": 145, "lunar_year": 2021,
         "lunar_month": 202104, "lunar_date": 20210414, "lunar_yearday": 103, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202105, "date": 20210524, "yearweek": 202121, "yearday": 144, "lunar_year": 2021,
         "lunar_month": 202104, "lunar_date": 20210413, "lunar_yearday": 102, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202105, "date": 20210523, "yearweek": 202120, "yearday": 143, "lunar_year": 2021,
         "lunar_month": 202104, "lunar_date": 20210412, "lunar_yearday": 101, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202105, "date": 20210522, "yearweek": 202120, "yearday": 142, "lunar_year": 2021,
         "lunar_month": 202104, "lunar_date": 20210411, "lunar_yearday": 100, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202105, "date": 20210521, "yearweek": 202120, "yearday": 141, "lunar_year": 2021,
         "lunar_month": 202104, "lunar_date": 20210410, "lunar_yearday": 99, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202105, "date": 20210520, "yearweek": 202120, "yearday": 140, "lunar_year": 2021,
         "lunar_month": 202104, "lunar_date": 20210409, "lunar_yearday": 98, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202105, "date": 20210519, "yearweek": 202120, "yearday": 139, "lunar_year": 2021,
         "lunar_month": 202104, "lunar_date": 20210408, "lunar_yearday": 97, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202105, "date": 20210518, "yearweek": 202120, "yearday": 138, "lunar_year": 2021,
         "lunar_month": 202104, "lunar_date": 20210407, "lunar_yearday": 96, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202105, "date": 20210517, "yearweek": 202120, "yearday": 137, "lunar_year": 2021,
         "lunar_month": 202104, "lunar_date": 20210406, "lunar_yearday": 95, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202105, "date": 20210516, "yearweek": 202119, "yearday": 136, "lunar_year": 2021,
         "lunar_month": 202104, "lunar_date": 20210405, "lunar_yearday": 94, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202105, "date": 20210515, "yearweek": 202119, "yearday": 135, "lunar_year": 2021,
         "lunar_month": 202104, "lunar_date": 20210404, "lunar_yearday": 93, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202105, "date": 20210514, "yearweek": 202119, "yearday": 134, "lunar_year": 2021,
         "lunar_month": 202104, "lunar_date": 20210403, "lunar_yearday": 92, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202105, "date": 20210513, "yearweek": 202119, "yearday": 133, "lunar_year": 2021,
         "lunar_month": 202104, "lunar_date": 20210402, "lunar_yearday": 91, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202105, "date": 20210512, "yearweek": 202119, "yearday": 132, "lunar_year": 2021,
         "lunar_month": 202104, "lunar_date": 20210401, "lunar_yearday": 90, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 59, "holiday_or": 59, "holiday_overtime": 10, "holiday_today": 1, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202105, "date": 20210511, "yearweek": 202119, "yearday": 131, "lunar_year": 2021,
         "lunar_month": 202103, "lunar_date": 20210330, "lunar_yearday": 89, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202105, "date": 20210510, "yearweek": 202119, "yearday": 130, "lunar_year": 2021,
         "lunar_month": 202103, "lunar_date": 20210329, "lunar_yearday": 88, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202105, "date": 20210509, "yearweek": 202118, "yearday": 129, "lunar_year": 2021,
         "lunar_month": 202103, "lunar_date": 20210328, "lunar_yearday": 87, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 58, "holiday_or": 58, "holiday_overtime": 10, "holiday_today": 1, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202105, "date": 20210508, "yearweek": 202118, "yearday": 128, "lunar_year": 2021,
         "lunar_month": 202103, "lunar_date": 20210327, "lunar_yearday": 86, "week": 6, "weekend": 1, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 55, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202105, "date": 20210507, "yearweek": 202118, "yearday": 127, "lunar_year": 2021,
         "lunar_month": 202103, "lunar_date": 20210326, "lunar_yearday": 85, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202105, "date": 20210506, "yearweek": 202118, "yearday": 126, "lunar_year": 2021,
         "lunar_month": 202103, "lunar_date": 20210325, "lunar_yearday": 84, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202105, "date": 20210505, "yearweek": 202118, "yearday": 125, "lunar_year": 2021,
         "lunar_month": 202103, "lunar_date": 20210324, "lunar_yearday": 83, "week": 3, "weekend": 2, "workday": 2,
         "holiday": 55, "holiday_or": 55, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 1},
        {"year": 2021, "month": 202105, "date": 20210504, "yearweek": 202118, "yearday": 124, "lunar_year": 2021,
         "lunar_month": 202103, "lunar_date": 20210323, "lunar_yearday": 82, "week": 2, "weekend": 2, "workday": 2,
         "holiday": 55, "holiday_or": 56, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 1},
        {"year": 2021, "month": 202105, "date": 20210503, "yearweek": 202118, "yearday": 123, "lunar_year": 2021,
         "lunar_month": 202103, "lunar_date": 20210322, "lunar_yearday": 81, "week": 1, "weekend": 2, "workday": 2,
         "holiday": 55, "holiday_or": 55, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 1},
        {"year": 2021, "month": 202105, "date": 20210502, "yearweek": 202117, "yearday": 122, "lunar_year": 2021,
         "lunar_month": 202103, "lunar_date": 20210321, "lunar_yearday": 80, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 55, "holiday_or": 55, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 1},
        {"year": 2021, "month": 202105, "date": 20210501, "yearweek": 202117, "yearday": 121, "lunar_year": 2021,
         "lunar_month": 202103, "lunar_date": 20210320, "lunar_yearday": 79, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 55, "holiday_or": 55, "holiday_overtime": 10, "holiday_today": 1, "holiday_legal": 1,
         "holiday_recess": 1},
        {"year": 2021, "month": 202104, "date": 20210430, "yearweek": 202117, "yearday": 120, "lunar_year": 2021,
         "lunar_month": 202103, "lunar_date": 20210319, "lunar_yearday": 78, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202104, "date": 20210429, "yearweek": 202117, "yearday": 119, "lunar_year": 2021,
         "lunar_month": 202103, "lunar_date": 20210318, "lunar_yearday": 77, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202104, "date": 20210428, "yearweek": 202117, "yearday": 118, "lunar_year": 2021,
         "lunar_month": 202103, "lunar_date": 20210317, "lunar_yearday": 76, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202104, "date": 20210427, "yearweek": 202117, "yearday": 117, "lunar_year": 2021,
         "lunar_month": 202103, "lunar_date": 20210316, "lunar_yearday": 75, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202104, "date": 20210426, "yearweek": 202117, "yearday": 116, "lunar_year": 2021,
         "lunar_month": 202103, "lunar_date": 20210315, "lunar_yearday": 74, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202104, "date": 20210425, "yearweek": 202116, "yearday": 115, "lunar_year": 2021,
         "lunar_month": 202103, "lunar_date": 20210314, "lunar_yearday": 73, "week": 7, "weekend": 1, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 55, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202104, "date": 20210424, "yearweek": 202116, "yearday": 114, "lunar_year": 2021,
         "lunar_month": 202103, "lunar_date": 20210313, "lunar_yearday": 72, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202104, "date": 20210423, "yearweek": 202116, "yearday": 113, "lunar_year": 2021,
         "lunar_month": 202103, "lunar_date": 20210312, "lunar_yearday": 71, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202104, "date": 20210422, "yearweek": 202116, "yearday": 112, "lunar_year": 2021,
         "lunar_month": 202103, "lunar_date": 20210311, "lunar_yearday": 70, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202104, "date": 20210421, "yearweek": 202116, "yearday": 111, "lunar_year": 2021,
         "lunar_month": 202103, "lunar_date": 20210310, "lunar_yearday": 69, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202104, "date": 20210420, "yearweek": 202116, "yearday": 110, "lunar_year": 2021,
         "lunar_month": 202103, "lunar_date": 20210309, "lunar_yearday": 68, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202104, "date": 20210419, "yearweek": 202116, "yearday": 109, "lunar_year": 2021,
         "lunar_month": 202103, "lunar_date": 20210308, "lunar_yearday": 67, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202104, "date": 20210418, "yearweek": 202115, "yearday": 108, "lunar_year": 2021,
         "lunar_month": 202103, "lunar_date": 20210307, "lunar_yearday": 66, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202104, "date": 20210417, "yearweek": 202115, "yearday": 107, "lunar_year": 2021,
         "lunar_month": 202103, "lunar_date": 20210306, "lunar_yearday": 65, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202104, "date": 20210416, "yearweek": 202115, "yearday": 106, "lunar_year": 2021,
         "lunar_month": 202103, "lunar_date": 20210305, "lunar_yearday": 64, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202104, "date": 20210415, "yearweek": 202115, "yearday": 105, "lunar_year": 2021,
         "lunar_month": 202103, "lunar_date": 20210304, "lunar_yearday": 63, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202104, "date": 20210414, "yearweek": 202115, "yearday": 104, "lunar_year": 2021,
         "lunar_month": 202103, "lunar_date": 20210303, "lunar_yearday": 62, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202104, "date": 20210413, "yearweek": 202115, "yearday": 103, "lunar_year": 2021,
         "lunar_month": 202103, "lunar_date": 20210302, "lunar_yearday": 61, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202104, "date": 20210412, "yearweek": 202115, "yearday": 102, "lunar_year": 2021,
         "lunar_month": 202103, "lunar_date": 20210301, "lunar_yearday": 60, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202104, "date": 20210411, "yearweek": 202114, "yearday": 101, "lunar_year": 2021,
         "lunar_month": 202102, "lunar_date": 20210230, "lunar_yearday": 59, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202104, "date": 20210410, "yearweek": 202114, "yearday": 100, "lunar_year": 2021,
         "lunar_month": 202102, "lunar_date": 20210229, "lunar_yearday": 58, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202104, "date": 20210409, "yearweek": 202114, "yearday": 99, "lunar_year": 2021,
         "lunar_month": 202102, "lunar_date": 20210228, "lunar_yearday": 57, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202104, "date": 20210408, "yearweek": 202114, "yearday": 98, "lunar_year": 2021,
         "lunar_month": 202102, "lunar_date": 20210227, "lunar_yearday": 56, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202104, "date": 20210407, "yearweek": 202114, "yearday": 97, "lunar_year": 2021,
         "lunar_month": 202102, "lunar_date": 20210226, "lunar_yearday": 55, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202104, "date": 20210406, "yearweek": 202114, "yearday": 96, "lunar_year": 2021,
         "lunar_month": 202102, "lunar_date": 20210225, "lunar_yearday": 54, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202104, "date": 20210405, "yearweek": 202114, "yearday": 95, "lunar_year": 2021,
         "lunar_month": 202102, "lunar_date": 20210224, "lunar_yearday": 53, "week": 1, "weekend": 2, "workday": 2,
         "holiday": 44, "holiday_or": 44, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 1},
        {"year": 2021, "month": 202104, "date": 20210404, "yearweek": 202113, "yearday": 94, "lunar_year": 2021,
         "lunar_month": 202102, "lunar_date": 20210223, "lunar_yearday": 52, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 44, "holiday_or": 45, "holiday_overtime": 10, "holiday_today": 1, "holiday_legal": 1,
         "holiday_recess": 1},
        {"year": 2021, "month": 202104, "date": 20210403, "yearweek": 202113, "yearday": 93, "lunar_year": 2021,
         "lunar_month": 202102, "lunar_date": 20210222, "lunar_yearday": 51, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 44, "holiday_or": 44, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 1},
        {"year": 2021, "month": 202104, "date": 20210402, "yearweek": 202113, "yearday": 92, "lunar_year": 2021,
         "lunar_month": 202102, "lunar_date": 20210221, "lunar_yearday": 50, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202104, "date": 20210401, "yearweek": 202113, "yearday": 91, "lunar_year": 2021,
         "lunar_month": 202102, "lunar_date": 20210220, "lunar_yearday": 49, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 23, "holiday_or": 23, "holiday_overtime": 10, "holiday_today": 1, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202103, "date": 20210331, "yearweek": 202113, "yearday": 90, "lunar_year": 2021,
         "lunar_month": 202102, "lunar_date": 20210219, "lunar_yearday": 48, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202103, "date": 20210330, "yearweek": 202113, "yearday": 89, "lunar_year": 2021,
         "lunar_month": 202102, "lunar_date": 20210218, "lunar_yearday": 47, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202103, "date": 20210329, "yearweek": 202113, "yearday": 88, "lunar_year": 2021,
         "lunar_month": 202102, "lunar_date": 20210217, "lunar_yearday": 46, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202103, "date": 20210328, "yearweek": 202112, "yearday": 87, "lunar_year": 2021,
         "lunar_month": 202102, "lunar_date": 20210216, "lunar_yearday": 45, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202103, "date": 20210327, "yearweek": 202112, "yearday": 86, "lunar_year": 2021,
         "lunar_month": 202102, "lunar_date": 20210215, "lunar_yearday": 44, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202103, "date": 20210326, "yearweek": 202112, "yearday": 85, "lunar_year": 2021,
         "lunar_month": 202102, "lunar_date": 20210214, "lunar_yearday": 43, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202103, "date": 20210325, "yearweek": 202112, "yearday": 84, "lunar_year": 2021,
         "lunar_month": 202102, "lunar_date": 20210213, "lunar_yearday": 42, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202103, "date": 20210324, "yearweek": 202112, "yearday": 83, "lunar_year": 2021,
         "lunar_month": 202102, "lunar_date": 20210212, "lunar_yearday": 41, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202103, "date": 20210323, "yearweek": 202112, "yearday": 82, "lunar_year": 2021,
         "lunar_month": 202102, "lunar_date": 20210211, "lunar_yearday": 40, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202103, "date": 20210322, "yearweek": 202112, "yearday": 81, "lunar_year": 2021,
         "lunar_month": 202102, "lunar_date": 20210210, "lunar_yearday": 39, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202103, "date": 20210321, "yearweek": 202111, "yearday": 80, "lunar_year": 2021,
         "lunar_month": 202102, "lunar_date": 20210209, "lunar_yearday": 38, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202103, "date": 20210320, "yearweek": 202111, "yearday": 79, "lunar_year": 2021,
         "lunar_month": 202102, "lunar_date": 20210208, "lunar_yearday": 37, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202103, "date": 20210319, "yearweek": 202111, "yearday": 78, "lunar_year": 2021,
         "lunar_month": 202102, "lunar_date": 20210207, "lunar_yearday": 36, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202103, "date": 20210318, "yearweek": 202111, "yearday": 77, "lunar_year": 2021,
         "lunar_month": 202102, "lunar_date": 20210206, "lunar_yearday": 35, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202103, "date": 20210317, "yearweek": 202111, "yearday": 76, "lunar_year": 2021,
         "lunar_month": 202102, "lunar_date": 20210205, "lunar_yearday": 34, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202103, "date": 20210316, "yearweek": 202111, "yearday": 75, "lunar_year": 2021,
         "lunar_month": 202102, "lunar_date": 20210204, "lunar_yearday": 33, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202103, "date": 20210315, "yearweek": 202111, "yearday": 74, "lunar_year": 2021,
         "lunar_month": 202102, "lunar_date": 20210203, "lunar_yearday": 32, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202103, "date": 20210314, "yearweek": 202110, "yearday": 73, "lunar_year": 2021,
         "lunar_month": 202102, "lunar_date": 20210202, "lunar_yearday": 31, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 18, "holiday_or": 18, "holiday_overtime": 10, "holiday_today": 1, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202103, "date": 20210313, "yearweek": 202110, "yearday": 72, "lunar_year": 2021,
         "lunar_month": 202102, "lunar_date": 20210201, "lunar_yearday": 30, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202103, "date": 20210312, "yearweek": 202110, "yearday": 71, "lunar_year": 2021,
         "lunar_month": 202101, "lunar_date": 20210129, "lunar_yearday": 29, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 21, "holiday_or": 21, "holiday_overtime": 10, "holiday_today": 1, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202103, "date": 20210311, "yearweek": 202110, "yearday": 70, "lunar_year": 2021,
         "lunar_month": 202101, "lunar_date": 20210128, "lunar_yearday": 28, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202103, "date": 20210310, "yearweek": 202110, "yearday": 69, "lunar_year": 2021,
         "lunar_month": 202101, "lunar_date": 20210127, "lunar_yearday": 27, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202103, "date": 20210309, "yearweek": 202110, "yearday": 68, "lunar_year": 2021,
         "lunar_month": 202101, "lunar_date": 20210126, "lunar_yearday": 26, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202103, "date": 20210308, "yearweek": 202110, "yearday": 67, "lunar_year": 2021,
         "lunar_month": 202101, "lunar_date": 20210125, "lunar_yearday": 25, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 19, "holiday_or": 19, "holiday_overtime": 10, "holiday_today": 1, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202103, "date": 20210307, "yearweek": 202109, "yearday": 66, "lunar_year": 2021,
         "lunar_month": 202101, "lunar_date": 20210124, "lunar_yearday": 24, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202103, "date": 20210306, "yearweek": 202109, "yearday": 65, "lunar_year": 2021,
         "lunar_month": 202101, "lunar_date": 20210123, "lunar_yearday": 23, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202103, "date": 20210305, "yearweek": 202109, "yearday": 64, "lunar_year": 2021,
         "lunar_month": 202101, "lunar_date": 20210122, "lunar_yearday": 22, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202103, "date": 20210304, "yearweek": 202109, "yearday": 63, "lunar_year": 2021,
         "lunar_month": 202101, "lunar_date": 20210121, "lunar_yearday": 21, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202103, "date": 20210303, "yearweek": 202109, "yearday": 62, "lunar_year": 2021,
         "lunar_month": 202101, "lunar_date": 20210120, "lunar_yearday": 20, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202103, "date": 20210302, "yearweek": 202109, "yearday": 61, "lunar_year": 2021,
         "lunar_month": 202101, "lunar_date": 20210119, "lunar_yearday": 19, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202103, "date": 20210301, "yearweek": 202109, "yearday": 60, "lunar_year": 2021,
         "lunar_month": 202101, "lunar_date": 20210118, "lunar_yearday": 18, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202102, "date": 20210228, "yearweek": 202108, "yearday": 59, "lunar_year": 2021,
         "lunar_month": 202101, "lunar_date": 20210117, "lunar_yearday": 17, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202102, "date": 20210227, "yearweek": 202108, "yearday": 58, "lunar_year": 2021,
         "lunar_month": 202101, "lunar_date": 20210116, "lunar_yearday": 16, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202102, "date": 20210226, "yearweek": 202108, "yearday": 57, "lunar_year": 2021,
         "lunar_month": 202101, "lunar_date": 20210115, "lunar_yearday": 15, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 16, "holiday_or": 16, "holiday_overtime": 10, "holiday_today": 1, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202102, "date": 20210225, "yearweek": 202108, "yearday": 56, "lunar_year": 2021,
         "lunar_month": 202101, "lunar_date": 20210114, "lunar_yearday": 14, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202102, "date": 20210224, "yearweek": 202108, "yearday": 55, "lunar_year": 2021,
         "lunar_month": 202101, "lunar_date": 20210113, "lunar_yearday": 13, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202102, "date": 20210223, "yearweek": 202108, "yearday": 54, "lunar_year": 2021,
         "lunar_month": 202101, "lunar_date": 20210112, "lunar_yearday": 12, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202102, "date": 20210222, "yearweek": 202108, "yearday": 53, "lunar_year": 2021,
         "lunar_month": 202101, "lunar_date": 20210111, "lunar_yearday": 11, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202102, "date": 20210221, "yearweek": 202107, "yearday": 52, "lunar_year": 2021,
         "lunar_month": 202101, "lunar_date": 20210110, "lunar_yearday": 10, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202102, "date": 20210220, "yearweek": 202107, "yearday": 51, "lunar_year": 2021,
         "lunar_month": 202101, "lunar_date": 20210109, "lunar_yearday": 9, "week": 6, "weekend": 1, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 11, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202102, "date": 20210219, "yearweek": 202107, "yearday": 50, "lunar_year": 2021,
         "lunar_month": 202101, "lunar_date": 20210108, "lunar_yearday": 8, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202102, "date": 20210218, "yearweek": 202107, "yearday": 49, "lunar_year": 2021,
         "lunar_month": 202101, "lunar_date": 20210107, "lunar_yearday": 7, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202102, "date": 20210217, "yearweek": 202107, "yearday": 48, "lunar_year": 2021,
         "lunar_month": 202101, "lunar_date": 20210106, "lunar_yearday": 6, "week": 3, "weekend": 2, "workday": 2,
         "holiday": 11, "holiday_or": 11, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 1},
        {"year": 2021, "month": 202102, "date": 20210216, "yearweek": 202107, "yearday": 47, "lunar_year": 2021,
         "lunar_month": 202101, "lunar_date": 20210105, "lunar_yearday": 5, "week": 2, "weekend": 2, "workday": 2,
         "holiday": 11, "holiday_or": 11, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 1},
        {"year": 2021, "month": 202102, "date": 20210215, "yearweek": 202107, "yearday": 46, "lunar_year": 2021,
         "lunar_month": 202101, "lunar_date": 20210104, "lunar_yearday": 4, "week": 1, "weekend": 2, "workday": 2,
         "holiday": 11, "holiday_or": 11, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 1},
        {"year": 2021, "month": 202102, "date": 20210214, "yearweek": 202106, "yearday": 45, "lunar_year": 2021,
         "lunar_month": 202101, "lunar_date": 20210103, "lunar_yearday": 3, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 11, "holiday_or": 17, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 1,
         "holiday_recess": 1},
        {"year": 2021, "month": 202102, "date": 20210213, "yearweek": 202106, "yearday": 44, "lunar_year": 2021,
         "lunar_month": 202101, "lunar_date": 20210102, "lunar_yearday": 2, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 11, "holiday_or": 11, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 1,
         "holiday_recess": 1},
        {"year": 2021, "month": 202102, "date": 20210212, "yearweek": 202106, "yearday": 43, "lunar_year": 2021,
         "lunar_month": 202101, "lunar_date": 20210101, "lunar_yearday": 1, "week": 5, "weekend": 2, "workday": 2,
         "holiday": 11, "holiday_or": 11, "holiday_overtime": 10, "holiday_today": 1, "holiday_legal": 1,
         "holiday_recess": 1},
        {"year": 2021, "month": 202102, "date": 20210211, "yearweek": 202106, "yearday": 42, "lunar_year": 2020,
         "lunar_month": 202012, "lunar_date": 20201230, "lunar_yearday": 384, "week": 4, "weekend": 2, "workday": 2,
         "holiday": 11, "holiday_or": 15, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 1},
        {"year": 2021, "month": 202102, "date": 20210210, "yearweek": 202106, "yearday": 41, "lunar_year": 2020,
         "lunar_month": 202012, "lunar_date": 20201229, "lunar_yearday": 383, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202102, "date": 20210209, "yearweek": 202106, "yearday": 40, "lunar_year": 2020,
         "lunar_month": 202012, "lunar_date": 20201228, "lunar_yearday": 382, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202102, "date": 20210208, "yearweek": 202106, "yearday": 39, "lunar_year": 2020,
         "lunar_month": 202012, "lunar_date": 20201227, "lunar_yearday": 381, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202102, "date": 20210207, "yearweek": 202105, "yearday": 38, "lunar_year": 2020,
         "lunar_month": 202012, "lunar_date": 20201226, "lunar_yearday": 380, "week": 7, "weekend": 1, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 11, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202102, "date": 20210206, "yearweek": 202105, "yearday": 37, "lunar_year": 2020,
         "lunar_month": 202012, "lunar_date": 20201225, "lunar_yearday": 379, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202102, "date": 20210205, "yearweek": 202105, "yearday": 36, "lunar_year": 2020,
         "lunar_month": 202012, "lunar_date": 20201224, "lunar_yearday": 378, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202102, "date": 20210204, "yearweek": 202105, "yearday": 35, "lunar_year": 2020,
         "lunar_month": 202012, "lunar_date": 20201223, "lunar_yearday": 377, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 13, "holiday_or": 13, "holiday_overtime": 10, "holiday_today": 1, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202102, "date": 20210203, "yearweek": 202105, "yearday": 34, "lunar_year": 2020,
         "lunar_month": 202012, "lunar_date": 20201222, "lunar_yearday": 376, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202102, "date": 20210202, "yearweek": 202105, "yearday": 33, "lunar_year": 2020,
         "lunar_month": 202012, "lunar_date": 20201221, "lunar_yearday": 375, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202102, "date": 20210201, "yearweek": 202105, "yearday": 32, "lunar_year": 2020,
         "lunar_month": 202012, "lunar_date": 20201220, "lunar_yearday": 374, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202101, "date": 20210131, "yearweek": 202104, "yearday": 31, "lunar_year": 2020,
         "lunar_month": 202012, "lunar_date": 20201219, "lunar_yearday": 373, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202101, "date": 20210130, "yearweek": 202104, "yearday": 30, "lunar_year": 2020,
         "lunar_month": 202012, "lunar_date": 20201218, "lunar_yearday": 372, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202101, "date": 20210129, "yearweek": 202104, "yearday": 29, "lunar_year": 2020,
         "lunar_month": 202012, "lunar_date": 20201217, "lunar_yearday": 371, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202101, "date": 20210128, "yearweek": 202104, "yearday": 28, "lunar_year": 2020,
         "lunar_month": 202012, "lunar_date": 20201216, "lunar_yearday": 370, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202101, "date": 20210127, "yearweek": 202104, "yearday": 27, "lunar_year": 2020,
         "lunar_month": 202012, "lunar_date": 20201215, "lunar_yearday": 369, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202101, "date": 20210126, "yearweek": 202104, "yearday": 26, "lunar_year": 2020,
         "lunar_month": 202012, "lunar_date": 20201214, "lunar_yearday": 368, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202101, "date": 20210125, "yearweek": 202104, "yearday": 25, "lunar_year": 2020,
         "lunar_month": 202012, "lunar_date": 20201213, "lunar_yearday": 367, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202101, "date": 20210124, "yearweek": 202103, "yearday": 24, "lunar_year": 2020,
         "lunar_month": 202012, "lunar_date": 20201212, "lunar_yearday": 366, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202101, "date": 20210123, "yearweek": 202103, "yearday": 23, "lunar_year": 2020,
         "lunar_month": 202012, "lunar_date": 20201211, "lunar_yearday": 365, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202101, "date": 20210122, "yearweek": 202103, "yearday": 22, "lunar_year": 2020,
         "lunar_month": 202012, "lunar_date": 20201210, "lunar_yearday": 364, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202101, "date": 20210121, "yearweek": 202103, "yearday": 21, "lunar_year": 2020,
         "lunar_month": 202012, "lunar_date": 20201209, "lunar_yearday": 363, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202101, "date": 20210120, "yearweek": 202103, "yearday": 20, "lunar_year": 2020,
         "lunar_month": 202012, "lunar_date": 20201208, "lunar_yearday": 362, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 12, "holiday_or": 12, "holiday_overtime": 10, "holiday_today": 1, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202101, "date": 20210119, "yearweek": 202103, "yearday": 19, "lunar_year": 2020,
         "lunar_month": 202012, "lunar_date": 20201207, "lunar_yearday": 361, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202101, "date": 20210118, "yearweek": 202103, "yearday": 18, "lunar_year": 2020,
         "lunar_month": 202012, "lunar_date": 20201206, "lunar_yearday": 360, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202101, "date": 20210117, "yearweek": 202102, "yearday": 17, "lunar_year": 2020,
         "lunar_month": 202012, "lunar_date": 20201205, "lunar_yearday": 359, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202101, "date": 20210116, "yearweek": 202102, "yearday": 16, "lunar_year": 2020,
         "lunar_month": 202012, "lunar_date": 20201204, "lunar_yearday": 358, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202101, "date": 20210115, "yearweek": 202102, "yearday": 15, "lunar_year": 2020,
         "lunar_month": 202012, "lunar_date": 20201203, "lunar_yearday": 357, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202101, "date": 20210114, "yearweek": 202102, "yearday": 14, "lunar_year": 2020,
         "lunar_month": 202012, "lunar_date": 20201202, "lunar_yearday": 356, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202101, "date": 20210113, "yearweek": 202102, "yearday": 13, "lunar_year": 2020,
         "lunar_month": 202012, "lunar_date": 20201201, "lunar_yearday": 355, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202101, "date": 20210112, "yearweek": 202102, "yearday": 12, "lunar_year": 2020,
         "lunar_month": 202011, "lunar_date": 20201129, "lunar_yearday": 354, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202101, "date": 20210111, "yearweek": 202102, "yearday": 11, "lunar_year": 2020,
         "lunar_month": 202011, "lunar_date": 20201128, "lunar_yearday": 353, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202101, "date": 20210110, "yearweek": 202101, "yearday": 10, "lunar_year": 2020,
         "lunar_month": 202011, "lunar_date": 20201127, "lunar_yearday": 352, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 14, "holiday_or": 14, "holiday_overtime": 10, "holiday_today": 1, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202101, "date": 20210109, "yearweek": 202101, "yearday": 9, "lunar_year": 2020,
         "lunar_month": 202011, "lunar_date": 20201126, "lunar_yearday": 351, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202101, "date": 20210108, "yearweek": 202101, "yearday": 8, "lunar_year": 2020,
         "lunar_month": 202011, "lunar_date": 20201125, "lunar_yearday": 350, "week": 5, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202101, "date": 20210107, "yearweek": 202101, "yearday": 7, "lunar_year": 2020,
         "lunar_month": 202011, "lunar_date": 20201124, "lunar_yearday": 349, "week": 4, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202101, "date": 20210106, "yearweek": 202101, "yearday": 6, "lunar_year": 2020,
         "lunar_month": 202011, "lunar_date": 20201123, "lunar_yearday": 348, "week": 3, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202101, "date": 20210105, "yearweek": 202101, "yearday": 5, "lunar_year": 2020,
         "lunar_month": 202011, "lunar_date": 20201122, "lunar_yearday": 347, "week": 2, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202101, "date": 20210104, "yearweek": 202101, "yearday": 4, "lunar_year": 2020,
         "lunar_month": 202011, "lunar_date": 20201121, "lunar_yearday": 346, "week": 1, "weekend": 2, "workday": 1,
         "holiday": 10, "holiday_or": 10, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 2},
        {"year": 2021, "month": 202101, "date": 20210103, "yearweek": 202053, "yearday": 3, "lunar_year": 2020,
         "lunar_month": 202011, "lunar_date": 20201120, "lunar_yearday": 345, "week": 7, "weekend": 1, "workday": 2,
         "holiday": 22, "holiday_or": 22, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 1},
        {"year": 2021, "month": 202101, "date": 20210102, "yearweek": 202053, "yearday": 2, "lunar_year": 2020,
         "lunar_month": 202011, "lunar_date": 20201119, "lunar_yearday": 344, "week": 6, "weekend": 1, "workday": 2,
         "holiday": 22, "holiday_or": 22, "holiday_overtime": 10, "holiday_today": 2, "holiday_legal": 2,
         "holiday_recess": 1},
        {"year": 2021, "month": 202101, "date": 20210101, "yearweek": 202053, "yearday": 1, "lunar_year": 2020,
         "lunar_month": 202011, "lunar_date": 20201118, "lunar_yearday": 343, "week": 5, "weekend": 2, "workday": 2,
         "holiday": 22, "holiday_or": 22, "holiday_overtime": 10, "holiday_today": 1, "holiday_legal": 1,
         "holiday_recess": 1}], "page": 1, "size": 1000, "total": 365}}
    list = res.get("data").get("list")
    for i in range(len(list)):
        workday = list[i].get("workday")
        if workday == 2:
            date = list[i].get("date")
            days.append(date)
    message = ""

    print(format_tomorrow)
    print("@@@@")
    print(format_today)
    print(days)
    # 如果明天是节假日 今天不是节假日，则进入判断
    if int(format_tomorrow) in days and int(format_today) not in days:
        # 循环判断接下来的时间，看这个假期有多长
        for i in range(1, 10):
            print("*" * 100)
            print(i)
            print("*" * 100)
            dayday = today + timedelta(days=i)
            dayday = int(dayday.strftime("%Y%m%d"))
            # 下一个是工作日 则跳出循环，以获得一共多长假期
            if dayday not in days:
                break
        print("休息天数：")
        number = i - 1
        print(number)

        # redis 存储数据
        redis_list = r.lrange("zhiban", 0, -1)
        redis_list = [item.decode() for item in redis_list]
        print("-" * 100)
        print(redis_list)
        print("*" * 100)
        www = []
        # 如果redis里面的列表是空的
        if not redis_list:
            new_list = peizhi.Personnel_list_new
        else:
            new_list = redis_list + peizhi.Personnel_list_new
            # 取出来名字
        print("redis初始数据")
        print(new_list)
        for o in range(0, number):
            print(number)
            www.append(new_list[0])
            new_list.remove(new_list[0])
            print("newlist")
            print(new_list)
            print("newlist")
        r.delete("zhiban")
        r.rpush("zhiban", *new_list)
        phone_list = []
        for i in www:
            phone = peizhi.Personnel_list_1.get(i)
            phone_list.append(phone)
        new_www = ' '.join(www)
        print(new_www)
        print(phone_list)

        dd_url = "https://oapi.dingtalk.com/robot/send?access_token=062ab7f98f47c85e6c200efd21ae5d532e4f1bbfd6782ae1268b9a1f4d3dc7b9"
        text = "明日开始休假：休息 %s 天 值班人员为：%s  值班人员记得带 电脑，手机，调通vpn环境" % (number, new_www)
        json_text = {
            "msgtype": "text",
            "at": {
                "atMobiles": phone_list,
                # 变为true 就会@所有人
                "isAtAll": False
            },
            "text": {
                "content": text
            }
        }

        # requests.post(url=dd_url, json=json_text, verify=False)
        print(text)


if __name__ == '__main__':
    test()
